Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Class ChildContainer

    java.lang.Object
      com.plumtree.remote.crawler.ChildContainer

public class ChildContainer
extends java.lang.Object

JavaBean representing the ChildContainer data type.

Version:
  1.1

Constructor Summary
`ChildContainer()` Default constructor.
`ChildContainer(java.lang.String location, java.lang.String displayName)` Valued constructor.

Method Summary
`java.lang.String` | `getDisplayName()` Gets the display name of the child container.
`java.lang.String` | `getLocation()` Gets the location of the child container.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name of the child container.
`void` | `setLocation(java.lang.String location)` Sets the location of the child container.
`java.lang.String` | `toString()` Returns a human-readable string for debugging.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChildContainer

    public ChildContainer()

  Default constructor.

### ChildContainer

    public ChildContainer(java.lang.String location,
                          java.lang.String displayName)

  Valued constructor.

Parameters:
  `location` - location of the child container
  `displayName` - display name of the child container

Method Detail

### getLocation

    public java.lang.String getLocation()

  Gets the location of the child container. The location string is used as the location parameter in `IContainerProvider.attachToContainer`.

  Returns:
    location of the child container

### setLocation

    public void setLocation(java.lang.String location)

  Sets the location of the child container. The location string is used as the location parameter in `IContainerProvider.attachToContainer`.

  Parameters:
    `location` - location of the child container

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name of the child container.

  Returns:
    display name of the child container

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the display name of the child container.

  Parameters:
    `displayName` - display name of the child container

### toString

    public java.lang.String toString()

  Returns a human-readable string for debugging.

  Returns:
    a `String` value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.